package tik_tok

import (
	"fmt"
	"github.com/syyongx/php2go"
	"github.com/tidwall/gjson"
)

//创建推广位
func GoodsCreatePid(args map[string]string) map[string]string {
	//args = map[string]string{
	//	"appkey":     "7076371480799348261",
	//	"appSecret":  "9e58409e-5729-441e-a9f3-c077ec939fbb",
	//	"acctoken":   "52f7ea67-5267-4874-9e05-a837dd1d6a48",
	//	"media_name": "测试",
	//	"site_name":  "测试",
	//}
	params := map[string]interface{}{"media_type": "4", "media_name": args["media_name"], "site_name": args["site_name"]}
	send, err := Send(args["appkey"], args["appSecret"], "buyin.kolPidCreate", params, args["acctoken"])
	fmt.Println(send)
	var data = map[string]string{}
	if err != nil {
		return data
	}
	data["pid"] = gjson.Get(send, "data.pid").String()
	return data
}
func GoodsConvertUrl(args map[string]string) map[string]string {
	//args = map[string]string{
	//	"appkey":        "7076371480799348261",
	//	"appSecret":     "9e58409e-5729-441e-a9f3-c077ec939fbb",
	//	"acctoken":      "52f7ea67-5267-4874-9e05-a837dd1d6a48",
	//	"external_info": "123",
	//	"pid":           "dy_107018934375430799627_13603_920074249",
	//	"product_url":   "https://haohuo.jinritemai.com/views/product/item2?id=3378039360158085752",
	//}
	params := map[string]interface{}{"pid": args["pid"], "external_info": args["external_info"], "product_url": args["product_url"]}
	send, err := Send(args["appkey"], args["appSecret"], "buyin.kolProductShare", params, args["acctoken"])
	fmt.Println(send)
	var data = map[string]string{}
	if err != nil {
		return data
	}
	data["deeplink"] = gjson.Get(send, "data.dy_deeplink").String()
	data["content"] = php2go.Base64Encode(gjson.Get(send, "data.dy_password").String())
	data["qr_code"] = gjson.Get(send, "data.qr_code.url").String()

	return data
}
func LiveCreatePid(args map[string]string) map[string]string {
	//args = map[string]string{
	//	"appkey":     "7076371480799348261",
	//	"appSecret":  "9e58409e-5729-441e-a9f3-c077ec939fbb",
	//	"acctoken":   "52f7ea67-5267-4874-9e05-a837dd1d6a48",
	//	"media_name": "测试",
	//	"site_name":  "测试",
	//}
	params := map[string]interface{}{"media_type": "4", "media_name": args["media_name"], "site_name": args["site_name"]}
	send, err := Send(args["appkey"], args["appSecret"], "buyin.institutePidCreate", params, args["acctoken"])
	fmt.Println(send)
	var data = map[string]string{}
	if err != nil {
		return data
	}
	data["pid"] = gjson.Get(send, "data.pid").String()
	return data
}
func LiveConvertUrl(args map[string]string) map[string]string {
	//args = map[string]string{
	//	"appkey":        "7076371480799348261",
	//	"appSecret":     "9e58409e-5729-441e-a9f3-c077ec939fbb",
	//	"acctoken":      "52f7ea67-5267-4874-9e05-a837dd1d6a48",
	//	"external_info": "123",
	//	"pid":           "dy_107018934375430799627_13603_920074249",
	//	"product_url":   "https://haohuo.jinritemai.com/views/product/item2?id=3378039360158085752",
	//}
	params := map[string]interface{}{"pid_info": map[string]interface{}{"pid": args["pid"], "external_info": args["external_info"]}, "open_id": args["open_id"]}
	send, err := Send(args["appkey"], args["appSecret"], "buyin.instituteLiveShare", params, args["acctoken"])
	fmt.Println(send)
	var data = map[string]string{}
	if err != nil {
		return data
	}
	data["deeplink"] = gjson.Get(send, "data.dy_deeplink").String()
	data["content"] = php2go.Base64Encode(gjson.Get(send, "data.dy_password").String())
	data["qr_code"] = gjson.Get(send, "data.qr_code.url").String()

	return data
}
